Get a home's details and price
curl --request POST \
--url https://api.stophy.dev/v1/realtor/property \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: '<string>'})
};
fetch('https://api.stophy.dev/v1/realtor/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/realtor/property"
payload = { "property": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"property": {
"flags": {
"isPending": true,
"isContingent": true,
"isNewConstruction": true,
"isForeclosure": true
},
"id": "<string>",
"listingId": "<string>",
"url": "<string>",
"status": "<string>",
"price": 1,
"currency": "<string>",
"priceRange": {
"min": 1,
"max": 1
},
"bedrooms": 123,
"bedroomsMax": 123,
"bathrooms": 123,
"sqft": 123,
"lotSqft": 123,
"yearBuilt": 0,
"homeType": "<string>",
"pricePerSqft": 123,
"hoa": 123,
"createdAt": "2023-11-07T05:31:56Z",
"lastSoldPrice": 123,
"lastSoldAt": "2023-11-07T05:31:56Z",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"unit": "<string>",
"county": "<string>"
},
"location": {
"lat": 0,
"lng": 0
},
"image": "<string>",
"totalImages": 0,
"broker": {
"name": "<string>"
},
"tags": [
"<string>"
],
"description": "<string>",
"stories": 123,
"garage": 123,
"daysOnMarket": 0,
"mls": {
"id": "<string>",
"name": "<string>",
"listingId": "<string>"
},
"neighborhoods": [
"<string>"
],
"images": [
{
"url": "<string>",
"caption": "<string>",
"alt": "<string>"
}
],
"details": [
{
"category": "<string>",
"items": [
"<string>"
]
}
],
"estimates": [
{
"source": "<string>",
"estimate": 123,
"low": 123,
"high": 123,
"date": "2023-12-25"
}
],
"priceHistory": [
{
"date": "2023-12-25",
"event": "<string>",
"price": 123,
"source": "<string>"
}
],
"taxHistory": [
{
"year": 0,
"tax": 123,
"assessedTotal": 123,
"assessedLand": 123,
"assessedBuilding": 123
}
],
"schools": [
{
"id": "<string>",
"name": "<string>",
"rating": 123,
"parentRating": 123,
"distanceMiles": 123,
"levels": [
"<string>"
],
"grades": [
"<string>"
],
"funding": "<string>",
"students": 0,
"district": "<string>"
}
],
"agents": [
{
"name": "<string>",
"type": "<string>",
"email": "<string>",
"phones": [
"<string>"
],
"office": "<string>"
}
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Realtor.com
Realtor.com property API
Call the Realtor.com property API to get listing id, status, price, currency, price range and bedrooms, as JSON or markdown. 1 credit.
POST
/
v1
/
realtor
/
property
Get a home's details and price
curl --request POST \
--url https://api.stophy.dev/v1/realtor/property \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: '<string>'})
};
fetch('https://api.stophy.dev/v1/realtor/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/realtor/property"
payload = { "property": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"property": {
"flags": {
"isPending": true,
"isContingent": true,
"isNewConstruction": true,
"isForeclosure": true
},
"id": "<string>",
"listingId": "<string>",
"url": "<string>",
"status": "<string>",
"price": 1,
"currency": "<string>",
"priceRange": {
"min": 1,
"max": 1
},
"bedrooms": 123,
"bedroomsMax": 123,
"bathrooms": 123,
"sqft": 123,
"lotSqft": 123,
"yearBuilt": 0,
"homeType": "<string>",
"pricePerSqft": 123,
"hoa": 123,
"createdAt": "2023-11-07T05:31:56Z",
"lastSoldPrice": 123,
"lastSoldAt": "2023-11-07T05:31:56Z",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"unit": "<string>",
"county": "<string>"
},
"location": {
"lat": 0,
"lng": 0
},
"image": "<string>",
"totalImages": 0,
"broker": {
"name": "<string>"
},
"tags": [
"<string>"
],
"description": "<string>",
"stories": 123,
"garage": 123,
"daysOnMarket": 0,
"mls": {
"id": "<string>",
"name": "<string>",
"listingId": "<string>"
},
"neighborhoods": [
"<string>"
],
"images": [
{
"url": "<string>",
"caption": "<string>",
"alt": "<string>"
}
],
"details": [
{
"category": "<string>",
"items": [
"<string>"
]
}
],
"estimates": [
{
"source": "<string>",
"estimate": 123,
"low": 123,
"high": 123,
"date": "2023-12-25"
}
],
"priceHistory": [
{
"date": "2023-12-25",
"event": "<string>",
"price": 123,
"source": "<string>"
}
],
"taxHistory": [
{
"year": 0,
"tax": 123,
"assessedTotal": 123,
"assessedLand": 123,
"assessedBuilding": 123
}
],
"schools": [
{
"id": "<string>",
"name": "<string>",
"rating": 123,
"parentRating": 123,
"distanceMiles": 123,
"levels": [
"<string>"
],
"grades": [
"<string>"
],
"funding": "<string>",
"students": 0,
"district": "<string>"
}
],
"agents": [
{
"name": "<string>",
"type": "<string>",
"email": "<string>",
"phones": [
"<string>"
],
"office": "<string>"
}
]
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
realtor.property - Returns:
datahasproperty. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.realtor.property({ property: "https://www.realtor.com/realestateandhomes-detail/123-Main-St_New-York_NY_10001_M12345-67890" });
console.log(result.data.property);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.realtor.property(property="https://www.realtor.com/realestateandhomes-detail/123-Main-St_New-York_NY_10001_M12345-67890")
print(result["data"]["property"])
curl -X POST https://api.stophy.dev/v1/realtor/property \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"property":"https://www.realtor.com/realestateandhomes-detail/123-Main-St_New-York_NY_10001_M12345-67890"}'
stophy realtor property https://www.realtor.com/realestateandhomes-detail/123-Main-St_New-York_NY_10001_M12345-67890
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json